## org.jfree.chart.entity
Class LegendItemEntity

    java.lang.Object
      org.jfree.chart.entity.ChartEntity
          org.jfree.chart.entity.LegendItemEntity

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable

public class LegendItemEntity
extends ChartEntity
implements java.lang.Cloneable, java.io.Serializable

An entity that represents an item within a legend.

See Also:
  Serialized Form

Constructor Summary
`LegendItemEntity(java.awt.Shape area)` Creates a legend item entity.

Method Summary
`java.lang.Object` `clone()` Returns a clone of the entity.
`boolean` `equals(java.lang.Object obj)` Tests this object for equality with an arbitrary object.
`int` `getSeriesIndex()` Returns the series index.
`void` `setSeriesIndex(int index)` Sets the series index.

Methods inherited from class org.jfree.chart.entity.ChartEntity
`getArea, getImageMapAreaTag, getShapeCoords, getShapeType, getToolTipText, getURLText, setArea, setToolTipText, setURLText`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LegendItemEntity

    public LegendItemEntity(java.awt.Shape area)

  Creates a legend item entity.

Parameters:
  `area` - the area.

Method Detail

### getSeriesIndex

    public int getSeriesIndex()

  Returns the series index.

  Returns:
    The series index.

### setSeriesIndex

    public void setSeriesIndex(int index)

  Sets the series index.

  Parameters:
    `index` - the series index.

### equals

    public boolean equals(java.lang.Object obj)

  Tests this object for equality with an arbitrary object.

  Overrides:
    `equals` in class `ChartEntity`
  Parameters:
    `obj` - the object (`null` permitted).
  Returns:
    A boolean.

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Returns a clone of the entity.

  Overrides:
    `clone` in class `ChartEntity`
  Returns:
    A clone.
  Throws:
    `java.lang.CloneNotSupportedException` - if there is a problem cloning the object.